> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing customer



## OpenAPI

````yaml openapi/openapi.json put /api/customers/{id}
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/customers/{id}:
    put:
      tags:
        - Customers
      summary: Update an existing customer
      operationId: 32da1527afa82d1a6b0e034146f1032d
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                CID:
                  type: string
                name:
                  type: string
                email:
                  type: string
                marketing_opt_in_at:
                  description: >-
                    Datetime when the customer opted in to marketing. Null if
                    not opted in.
                  type: string
                  format: date-time
                  nullable: true
              type: object
      responses:
        '200':
          description: Customer updated successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  data:
                    properties:
                      id:
                        type: integer
                      company_id:
                        type: integer
                      CID:
                        type: string
                      name:
                        type: string
                      email:
                        type: string
                      number_range_id:
                        type: integer
                      marketing_opt_in_at:
                        type: string
                    type: object
                type: object
        '404':
          description: Customer not found
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````